Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdEJournal

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdEJournal

    public class cmdEJournal
    extends DatecsFiscalDevice

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdEJournal.EJ_DocumentsFound` | Data Class
  `static class` | `cmdEJournal.EjDocTypePrn` | DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550 A All document types.
  `static class` | `cmdEJournal.InfoEJ` | Data Class Number - ? DateTime - ? Serial - ? fromZ - ? toZ - ? fromDoc - ? toDoc - ? Size - ? Used -

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdEJournal()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `printEjDocumentsByDateRange​(boolean CondensedFont, java.lang.String StartDataTime, java.lang.String EndDataTime, cmdEJournal.EjDocTypePrn DocType)` | Printing all document of selected type founded in data range
  `int` | `printEjDocumentsByDateRange​(java.lang.String docType, java.lang.String fromDate, java.lang.String toDate)` | DATECS DP-05, DP-25, DP-35, WP-50, DP-150
  `void` | `printEjDocumentsByNumbersRange​(boolean CondensedFont, java.lang.String DocNumStart, java.lang.String DocNumEnd, cmdEJournal.EjDocTypePrn DocType)` | Printing all document of selected type founded in number range DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550
  `int` | `printEjDocumentsByNumbersRange​(java.lang.String docType, java.lang.String fromNum, java.lang.String toNum)` | DATECS DP-05, DP-25, DP-35, WP-50, DP-150
  `java.lang.String` | `printEjDocumentsInZReport​(boolean CondensedFont, java.lang.String StartDocNumber, java.lang.String EndDocNumber, java.lang.String ZreportNumber, cmdEJournal.EjDocTypePrn DocType)` | Printing the all documents with range StartDocNumber-EndDocNumber, founded in all Z reports with range StartZreport - EndZreport Filter the documents that are selected, depending on DocType argument.*
  `int` | `printEjDocumentsInZReportRange​(java.lang.String startDoc, java.lang.String endDoc, java.lang.String nZstart, java.lang.String nZend, java.lang.String docType)` |
  `java.lang.String` | `readEjDocumentsByDateRange​(java.lang.String StartDate, java.lang.String EndDate, cmdEJournal.EjDocTypePrn DocType)` | Reading all document of selected type founded in data range
  `java.lang.String` | `readEjDocumentsByDateRange​(java.lang.String docType, java.lang.String fromDate, java.lang.String toDate)` | DATECS DP-05, DP-25, DP-35, WP-50, DP-150
  `java.lang.String` | `readEjDocumentsByNumbersRange​(java.lang.String DocNumStart, java.lang.String DocNumEnd, cmdEJournal.EjDocTypePrn DocType)` | Reading all document of selected type founded in number range DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550
  `java.lang.String` | `readEjDocumentsByNumbersRange​(java.lang.String docType, java.lang.String fromNum, java.lang.String toNum)` | DATECS DP-05, DP-25, DP-35, WP-50, DP-150
  `java.lang.String` | `readEjDocumentsInZReport​(int startDoc, int endDoc, java.lang.String numReportZ, java.lang.String docType)` | Returns the all documents with range startDoc-endDoc, founded in Z report numReportZ Filter the documents that are selected, depending on DocType argument.*
  `java.lang.String` | `readEjDocumentsInZReport​(java.lang.String StartDocNumber, java.lang.String EndDocNumber, java.lang.String ZreportNumber, cmdEJournal.EjDocTypePrn DocType)` | Returns the all documents with range StartDocNumber-EndDocNumber, founded in all Z reports with range StartZreport - EndZreport Filter the documents that are selected, depending on DocType argument.*
  `java.lang.String` | `readEjDocumentsInZReports​(java.lang.String startDoc, java.lang.String endDoc, java.lang.String nZstart, java.lang.String nZend, java.lang.String docType)` | Returns the all documents with range startDoc-endDoc, founded in Z reports range Filter the documents that are selected, depending on DocType argument.*
  `cmdEJournal.InfoEJ` | `readEjInfo()` | Information from EJ
  `void` | `setUserBreak​(boolean userBreak)` | Interrupts the thread process
  `boolean` | `validateEj()` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdEJournal

    public cmdEJournal()

- ## Method Details

  - ### printEjDocumentsByDateRange

    public void printEjDocumentsByDateRange​(boolean CondensedFont, java.lang.String StartDataTime, java.lang.String EndDataTime, cmdEJournal.EjDocTypePrn DocType) throws java.lang.Exception
    Printing all document of selected type founded in data range
    Parameters:
      `CondensedFont` -
      `StartDataTime` -
      `EndDataTime` -
      `DocType` -
    Throws:
      `java.lang.Exception`

  - ### printEjDocumentsByNumbersRange

    public void printEjDocumentsByNumbersRange​(boolean CondensedFont, java.lang.String DocNumStart, java.lang.String DocNumEnd, cmdEJournal.EjDocTypePrn DocType) throws java.lang.Exception
    Printing all document of selected type founded in number range DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550
    Parameters:
      `CondensedFont` -
      `DocNumStart` -
      `DocNumEnd` -
      `DocType` -
    Throws:
      `java.lang.Exception`

  - ### readEjDocumentsByNumbersRange

    public java.lang.String readEjDocumentsByNumbersRange​(java.lang.String DocNumStart, java.lang.String DocNumEnd, cmdEJournal.EjDocTypePrn DocType) throws java.lang.Exception
    Reading all document of selected type founded in number range DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550
    Parameters:
      `DocNumStart` - -First document in the period (1...99999999)
      `DocNumEnd` - -Last document in the period. (1...99999999).
      `DocType` - -Type of document;
    Returns:
      Document data lines as a string.
    Throws:
      `java.lang.Exception`

  - ### readEjDocumentsByDateRange

    public java.lang.String readEjDocumentsByDateRange​(java.lang.String StartDate, java.lang.String EndDate, cmdEJournal.EjDocTypePrn DocType) throws java.lang.Exception
    Reading all document of selected type founded in data range
    Parameters:
      `StartDate` - -Date of document to start searching
      `EndDate` - -Date of document to stop searching
      `DocType` - -Type of document filter;
    Returns:
      Document data lines as a string.
    Throws:
      `java.lang.Exception`

  - ### readEjDocumentsInZReport

    public java.lang.String readEjDocumentsInZReport​(java.lang.String StartDocNumber, java.lang.String EndDocNumber, java.lang.String ZreportNumber, cmdEJournal.EjDocTypePrn DocType) throws java.lang.Exception
    Returns the all documents with range StartDocNumber-EndDocNumber, founded in all Z reports with range StartZreport - EndZreport Filter the documents that are selected, depending on DocType argument.*
    Parameters:
      `StartDocNumber` - -First doc
      `EndDocNumber` - -Last Doc
      `ZreportNumber` - -Begin Z report
      `DocType` - -Type of document filter;
    Returns:
      Document data lines as a string.
    Throws:
      `java.lang.Exception`

  - ### printEjDocumentsInZReport

    public java.lang.String printEjDocumentsInZReport​(boolean CondensedFont, java.lang.String StartDocNumber, java.lang.String EndDocNumber, java.lang.String ZreportNumber, cmdEJournal.EjDocTypePrn DocType) throws java.lang.Exception
    Printing the all documents with range StartDocNumber-EndDocNumber, founded in all Z reports with range StartZreport - EndZreport Filter the documents that are selected, depending on DocType argument.*
    Parameters:
      `StartDocNumber` - First doc
      `EndDocNumber` - Last Doc
      `ZreportNumber` - Begin Z report
      `DocType` - -Type of document filter;
    Returns:
      Document data lines as a string.
    Throws:
      `java.lang.Exception`

  - ### readEjInfo

    public cmdEJournal.InfoEJ readEjInfo() throws java.lang.Exception
    Information from EJ
    Returns:
    Throws:
      `java.lang.Exception`

  - ### validateEj

    public boolean validateEj() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### setUserBreak

    public void setUserBreak​(boolean userBreak)
    Interrupts the thread process
    Parameters:
      `userBreak` -

  - ### readEjDocumentsInZReport

    public java.lang.String readEjDocumentsInZReport​(int startDoc, int endDoc, java.lang.String numReportZ, java.lang.String docType) throws java.lang.Exception
    Returns the all documents with range startDoc-endDoc, founded in Z report numReportZ Filter the documents that are selected, depending on DocType argument.*
    Parameters:
      `docType` - -Type of document filter;
    Returns:
      Document data lines as a string.
    Throws:
      `java.lang.Exception`

  - ### readEjDocumentsInZReports

    public java.lang.String readEjDocumentsInZReports​(java.lang.String startDoc, java.lang.String endDoc, java.lang.String nZstart, java.lang.String nZend, java.lang.String docType) throws java.lang.Exception
    Returns the all documents with range startDoc-endDoc, founded in Z reports range Filter the documents that are selected, depending on DocType argument.*
    Parameters:
      `startDoc` -
      `endDoc` -
      `nZstart` -
      `nZend` -
      `docType` -
      `docType` - -Type of document filter;
    Returns:
      Document data lines as a string.
    Throws:
      `java.lang.Exception`

  - ### readEjDocumentsByNumbersRange

    public java.lang.String readEjDocumentsByNumbersRange​(java.lang.String docType, java.lang.String fromNum, java.lang.String toNum) throws java.lang.Exception
    DATECS DP-05, DP-25, DP-35, WP-50, DP-150

    Read the content of the electronic journal as text and (all documents in the range)

    Parameters:
      `docType` - '0'- All. ? '1' - Fiscal receipt (all fiscal receipt, sale, storno, invoice, storno invoice ? '2' - Daily Z report. ? '3' - Cash input / output. ? '4' - Daily X report. ? '5' - Service receipt (all not listed in option 1). ? '6' - Invoice. ? '7' - Storno fiscal receipt. ? '8' - Storno Invoice.
      `fromNum` - ? - Initial document number for reading.
      `toNum` - ? - Final document number for reading.
    Returns:
    Throws:
      `java.lang.Exception`

  - ### printEjDocumentsByNumbersRange

    public int printEjDocumentsByNumbersRange​(java.lang.String docType, java.lang.String fromNum, java.lang.String toNum) throws java.lang.Exception
    DATECS DP-05, DP-25, DP-35, WP-50, DP-150

    Print the content of the electronic journal as text and (all documents in the range)

    Parameters:
      `docType` - '0'- All. '1' - Fiscal receipt (all fiscal receipt, sale, storno, invoice, storno invoice '2' - Daily Z report. '3' - Cash input / output. '4' - Daily X report. '5' - Service receipt (all not listed in option 1). '6' - Invoice. '7' - Storno fiscal receipt. '8' - Storno Invoice.
      `fromNum` - ? - Initial document number for reading.
      `toNum` - ? - Final document number for reading.
    Returns:
      Printed documents count
    Throws:
      `java.lang.Exception`

  - ### printEjDocumentsInZReportRange

    public int printEjDocumentsInZReportRange​(java.lang.String startDoc, java.lang.String endDoc, java.lang.String nZstart, java.lang.String nZend, java.lang.String docType) throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### readEjDocumentsByDateRange

    public java.lang.String readEjDocumentsByDateRange​(java.lang.String docType, java.lang.String fromDate, java.lang.String toDate) throws java.lang.Exception
    DATECS DP-05, DP-25, DP-35, WP-50, DP-150

    Read the content of the electronic journal as text and (all documents in the range of Date)

    Parameters:
      `docType` - '0'- All, '1' - Fiscal, '2' - DailyZ, '3' - CashIn, '4' - CashOut, '5' - DailyX, '6' - ServiceReceipt, '7' - Invoice, '8' - StornoRec, '9' - StornoInvoice
    Returns:
    Throws:
      `java.lang.Exception`

  - ### printEjDocumentsByDateRange

    public int printEjDocumentsByDateRange​(java.lang.String docType, java.lang.String fromDate, java.lang.String toDate) throws java.lang.Exception
    DATECS DP-05, DP-25, DP-35, WP-50, DP-150

    Read the content of the electronic journal as text and (all documents in the range of Date)

    Parameters:
      `docType` - '0'- All, '1' - Fiscal, '2' - DailyZ, '3' - CashIn, '4' - CashOut, '5' - DailyX, '6' - ServiceReceipt, '7' - Invoice, '8' - StornoRec, '9' - StornoInvoice
    Returns:
      Printed count
    Throws:
      `java.lang.Exception`